## com.arsdigita.docmgr
Class InvalidNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.arsdigita.docmgr.InvalidNameException

All Implemented Interfaces:
  Serializable

public class InvalidNameException
extends Exception

Exception thrown to indicate that a resource name (or path) is in an invalid state.

Version:
  $Id: //apps/docmgr/dev/src/com/arsdigita/docmgr/InvalidNameException.java#2 $
Author:
  stefan@arsdigita.com
See Also:
  Serialized Form

Field Summary
`static int` `INVALID_CHARACTER_ERROR`
`static int` `LEADING_CHARACTER_ERROR`
`static int` `LEADING_FILE_SEPARATOR_ERROR`
`protected static ChoiceFormat` `s_validPathErrorMessages`
`static int` `TRAILING_FILE_SEPARATOR_ERROR`
`static int` `ZERO_CHARACTERS_ERROR` Error messages for path validation methods

Constructor Summary
`InvalidNameException(int messageCode)` Creates a new exception with the error message corresponding to the error message codes above.
`InvalidNameException(String message)` Creates a new exception with a given error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ZERO_CHARACTERS_ERROR

    public static final int ZERO_CHARACTERS_ERROR

  Error messages for path validation methods

  See Also:
    `ResourceImpl.isValidPath`, Constant Field Values

### LEADING_FILE_SEPARATOR_ERROR

    public static final int LEADING_FILE_SEPARATOR_ERROR

See Also:
  Constant Field Values

### TRAILING_FILE_SEPARATOR_ERROR

    public static final int TRAILING_FILE_SEPARATOR_ERROR

See Also:
  Constant Field Values

### INVALID_CHARACTER_ERROR

    public static final int INVALID_CHARACTER_ERROR

See Also:
  Constant Field Values

### LEADING_CHARACTER_ERROR

    public static final int LEADING_CHARACTER_ERROR

See Also:
  Constant Field Values

### s_validPathErrorMessages

    protected static ChoiceFormat s_validPathErrorMessages

Constructor Detail

### InvalidNameException

    public InvalidNameException(String message)

  Creates a new exception with a given error message.

Parameters:
  `message` - the error message

### InvalidNameException

    public InvalidNameException(int messageCode)

  Creates a new exception with the error message corresponding to the error message codes above.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC